CollectRecursiveCalls (groovy 3.0.7 API)

Package: org.codehaus.groovy.transform.tailrec

## [Groovy] Class CollectRecursiveCalls

- org.codehaus.groovy.transform.tailrec.CollectRecursiveCalls

-     @CompileStatic
      class CollectRecursiveCalls
      extends CodeVisitorSupport

  Collect all recursive calls within method

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MethodNode` | `method`
    `List<Expression>` | `recursiveCalls`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CollectRecursiveCalls ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<Expression>` | `collect(MethodNode method)`
    `` | `void` | `visitMethodCallExpression(MethodCallExpression call)`
    `` | `void` | `visitStaticMethodCallExpression(StaticMethodCallExpression call)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeVisitorSupport` | `afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Property Detail

    - #### MethodNode method

    - #### List<Expression> recursiveCalls

  - ### Constructor Detail

    - #### CollectRecursiveCalls()

  - ### Method Detail

    - #### List<Expression> collect(MethodNode method)

    - #### void visitMethodCallExpression(MethodCallExpression call)

    - #### void visitStaticMethodCallExpression(StaticMethodCallExpression call)